kr.co.hanwha.hifive.screen.common

## Class CommonWebViewActivity.CommonWebViewClient

- java.lang.Object
- - android.webkit.WebViewClient
  - - kr.co.hanwha.hifive.screen.common.CommonWebViewActivity.CommonWebViewClient

Enclosing class:
  CommonWebViewActivity

    public class CommonWebViewActivity.CommonWebViewClient
    extends android.webkit.WebViewClient

WebViewClient

### Field Summary

### Fields inherited from class android.webkit.WebViewClient

`ERROR_AUTHENTICATION, ERROR_BAD_URL, ERROR_CONNECT, ERROR_FAILED_SSL_HANDSHAKE, ERROR_FILE, ERROR_FILE_NOT_FOUND, ERROR_HOST_LOOKUP, ERROR_IO, ERROR_PROXY_AUTHENTICATION, ERROR_REDIRECT_LOOP, ERROR_TIMEOUT, ERROR_TOO_MANY_REQUESTS, ERROR_UNKNOWN, ERROR_UNSAFE_RESOURCE, ERROR_UNSUPPORTED_AUTH_SCHEME, ERROR_UNSUPPORTED_SCHEME, SAFE_BROWSING_THREAT_MALWARE, SAFE_BROWSING_THREAT_PHISHING, SAFE_BROWSING_THREAT_UNKNOWN, SAFE_BROWSING_THREAT_UNWANTED_SOFTWARE`

### Constructor Summary

Constructors
Constructor and Description
`CommonWebViewClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onPageFinished(android.webkit.WebView view, java.lang.String url)`
`void` `onPageStarted(android.webkit.WebView view, java.lang.String url, android.graphics.Bitmap favicon)`
`void` `onReceivedError(android.webkit.WebView view, android.webkit.WebResourceRequest request, android.webkit.WebResourceError error)`
`void` `onReceivedHttpError(android.webkit.WebView view, android.webkit.WebResourceRequest request, android.webkit.WebResourceResponse errorResponse)`
`boolean` `shouldOverrideUrlLoading(android.webkit.WebView view, android.webkit.WebResourceRequest request)`

### Methods inherited from class android.webkit.WebViewClient

`doUpdateVisitedHistory, onFormResubmission, onLoadResource, onPageCommitVisible, onReceivedClientCertRequest, onReceivedError, onReceivedHttpAuthRequest, onReceivedLoginRequest, onReceivedSslError, onRenderProcessGone, onSafeBrowsingHit, onScaleChanged, onTooManyRedirects, onUnhandledKeyEvent, shouldInterceptRequest, shouldInterceptRequest, shouldOverrideKeyEvent, shouldOverrideUrlLoading`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonWebViewClient

    public CommonWebViewClient()

### Method Detail

#### onPageStarted

    public void onPageStarted(android.webkit.WebView view,
                              java.lang.String url,
                              android.graphics.Bitmap favicon)

Overrides:
  `onPageStarted` in class `android.webkit.WebViewClient`

#### onPageFinished

    public void onPageFinished(android.webkit.WebView view,
                               java.lang.String url)

Overrides:
  `onPageFinished` in class `android.webkit.WebViewClient`

#### onReceivedError

    public void onReceivedError(android.webkit.WebView view,
                                android.webkit.WebResourceRequest request,
                                android.webkit.WebResourceError error)

Overrides:
  `onReceivedError` in class `android.webkit.WebViewClient`

#### onReceivedHttpError

    public void onReceivedHttpError(android.webkit.WebView view,
                                    android.webkit.WebResourceRequest request,
                                    android.webkit.WebResourceResponse errorResponse)

Overrides:
  `onReceivedHttpError` in class `android.webkit.WebViewClient`

#### shouldOverrideUrlLoading

    public boolean shouldOverrideUrlLoading(android.webkit.WebView view,
                                            android.webkit.WebResourceRequest request)

Overrides:
  `shouldOverrideUrlLoading` in class `android.webkit.WebViewClient`